/*  Project tabmain
	DHB Software
	Copyright  1995. All Rights Reserved.

	SUBSYSTEM:    tabmain.apx Application
	FILE:         tabcntrl.cpp
	AUTHOR:       David H. Borg


	OVERVIEW
	========
	Source file for implementation of TabControl (TWindow).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tabcntrl.h"


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TabControl, TWindow)
//{{TabControlRSP_TBL_BEGIN}}
	EV_WM_PAINT,
//{{TabControlRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TabControl Implementation}}


// the tab control is derived from TWindow with specific Attributes
TabControl::TabControl (TWindow* parent, int id, int x, int y, int w, int h, TModule* module):
	TWindow(parent, 0, module)
{
	Attr.Id = id;
	Attr.X = x;
	Attr.Y = y;
	Attr.W = w;
	Attr.H = h;
	Attr.ExStyle = 0;
	Attr.Style = WS_CHILD | WS_CLIPSIBLINGS | WS_VISIBLE | TCS_TOOLTIPS;
}


// Default constructor is not used
TabControl::TabControl (TWindow* parent, const char far* title, TModule* module):
	TWindow(parent, title, module)
{
	// INSERT>> Your constructor code here.

}


TabControl::~TabControl ()
{
	Destroy();

	// INSERT>> Your destructor code here.

}


// this identifies that the window is a constom tab control
char far* TabControl::GetClassName ()
{
	return WC_TABCONTROL;
}


// allow the tab control to handle the EvPaint() funcion
void TabControl::EvPaint ()
{
	DefaultProcessing();  // don't call TWindow::EvPaint()
}

