/*  Project TabMain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.exe Application
    FILE:         tabmnapp.cpp
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Source file for implementation of TabMainApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "tabmnapp.h"
#include "tbmtdlgc.h"                        // Definition of client class.       


//{{TabMainApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TabMainApp, TApplication)
//{{TabMainAppRSP_TBL_BEGIN}}
    EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TabMainAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//////////////////////////////////////////////////////////
// TabMainApp
// =====
//
TabMainApp::TabMainApp () : TApplication("TabMain")
{

    // INSERT>> Your constructor code here.
}


TabMainApp::~TabMainApp ()
{
    // INSERT>> Your destructor code here.
}


//////////////////////////////////////////////////////////
// TabMainApp
// =====
// Application intialization.
//
void TabMainApp::InitMainWindow ()
{
    if (nCmdShow != SW_HIDE)
        nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

    SDIDecFrame *frame = new SDIDecFrame(0, GetName(), 0, false);
    frame->SetFlag(wfShrinkToClient);

    // Override the default window style for the main window.
	frame->Attr.Style |= WS_BORDER | WS_CAPTION | WS_CLIPCHILDREN | WS_MINIMIZEBOX | WS_SYSMENU | WS_THICKFRAME | WS_VISIBLE;
	frame->Attr.Style &= ~(WS_CHILD | WS_MAXIMIZEBOX);

    //
    // Assign ICON w/ this application.
    //
    frame->SetIcon(this, IDI_SDIAPPLICATION);
              
  
    SetMainWindow(frame);

}


//{{SDIDecFrame Implementation}}


SDIDecFrame::SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, bool trackMenuSelection, TModule *module)
    : TDecoratedFrame(parent, title, clientWnd == 0 ? new TabMainTDLGClient(0) : clientWnd, trackMenuSelection, module)
{
    // INSERT>> Your constructor code here.

}


SDIDecFrame::~SDIDecFrame ()
{
    // INSERT>> Your destructor code here.

}


//////////////////////////////////////////////////////////
// TabMainApp
// ===========
// Menu Help About tabmain.exe command
void TabMainApp::CmHelpAbout ()
{
}
int OwlMain (int , char* [])
{
    try {
        TabMainApp    app;
        return app.Run();
    }
    catch (xmsg& x) {
        ::MessageBox(0, x.why().c_str(), "Exception", MB_OK);
    }

    return -1;
}
