#if !defined(__tbmtdlgc_h)              // Sentry, use file only if it's not already included.
#define __tbmtdlgc_h

/*  Project TabMain
    DHB Software
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    tabmain.exe Application
    FILE:         tbmtdlgc.h
    AUTHOR:       David H. Borg


    OVERVIEW
    ========
    Class definition for TabMainTDLGClient (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "tabmnapp.rh"          // Definition of all resources.
#include "tabcntrl.h"			// Include Tab Control header file
#include "tabdilg1.h"			// Dialog to be displayed on tab 1
#include "tabdilg2.h"			// Dialog to be displayed on tab 2
#include "tabdilg3.h"			// Dialog to be displayed on tab 3


//{{TDialog = TabMainTDLGClient}}
class TabMainTDLGClient : public TDialog {
public:
	 TabMainTDLGClient (TWindow *parent, TResId resId = IDD_CLIENT, TModule *module = 0);
    virtual ~TabMainTDLGClient ();

protected:
	TC_ITEM tcItem[3];				// tab control items array
	HIMAGELIST hIML;				// tab image list
	TabControl *tc;					// Tab Control window pointer
	TabDialog1 *dialog1;			// dialog to display on tab 1
	TabDialog2 *dialog2;			// dialog to display on tab 2
	TabDialog3 *dialog3;			// dialog to display on tab 3
	TButton *apply;					// apply dialog modifications

	void CreateTabs();				// Create and setup TabControl tabs
	void CreateDialogs();			// Create and setup TabControl dialog boxes
	void ShowSelections();			// Show what data has been selected

//{{TabMainTDLGClientVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
//{{TabMainTDLGClientVIRTUAL_END}}

//{{TabMainTDLGClientRSP_TBL_BEGIN}}
protected:
	LRESULT CmChangeFrameStyle( WPARAM wParam, LPARAM lParam);
	LRESULT CmDialogIsModified( WPARAM wParam, LPARAM lParam);
	LRESULT EvTabControlNotify( WPARAM wParam, LPARAM lParam);
    void BNClickedOk ();
    void BNClickedAbout ();
    void BNClickedApply ();
//{{TabMainTDLGClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TabMainTDLGClient);
};    //{{TabMainTDLGClient}}


#endif                                      // __tbmtdlgc_h sentry.
